


<div class="regist">
<div class="container">
<div class="cfix">
<div class="left">

<form  action="/login/" method="post">
<input  type="hidden" /><span class="cap">войти в кабинет</span>
<?php
if($er) {
	print '<div class="er" style="text-align: left; padding-left: 15px; margin-bottom: 25px;">
	<strong>Не удается войти!</strong></div>';
}
?>
<div class="inner cfix">
<div class="col6 name"><label>ваш логин:</label><input  name="user" type="text" /></div>
<div class="col6 pass"><label>ваш пароль:</label><input   name="pass" type="password" /></div>

</div>
<button  class="reg orArr" type="submit" style="display: block; margin-top: 35px; margin-left: 11px;" />Войти в аккаунт</button>
</form></div>
<div class="right">
<?php
print $body;
defined('ACCESS') or die();
if($_GET['action'] == "reg") {
		$ulogin	= htmlspecialchars($_POST['ulogin'], ENT_QUOTES, '');
		$pass	= $_POST['pass'];
		$repass	= $_POST['repass'];
		$email	= htmlspecialchars($_POST['email'], ENT_QUOTES, '');
		

		if(!$ulogin || !$pass || !$repass || !$email ) {
			$error = "<p class=\"er\">Заполните все поля обязательные для заполнения</p>";
		} elseif(strlen($ulogin) > 20 || strlen($ulogin) < 3) {
			$error = "<p class=\"er\">Логин должен содержать от 3-х до 20 символов</p>";
		} elseif($pass != $repass) {
			$error = "<p class=\"er\">Пароли не совпадают</p>";
		} elseif(strlen($email) > 30) {
			$error = "<p class=\"er\">E-mail должен содержать до 30 символов</p>";
		} elseif(!preg_match("/^[a-z0-9_.-]{1,20}@(([a-z0-9-]+\.)+(com|net|org|mil|edu|gov|arpa|info|biz|[a-z]{2})|[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})$/is", $email)) {
			$error = "<p class=\"er\">Введите валидно e-mail</p>";
		} elseif(mysql_num_rows(mysql_query("SELECT login FROM users WHERE login = '".$ulogin."'"))) {
			$error = "<p class=\"er\">Такой логин уже есть в базе! Выберите пожалуйста другой</p>";
		} elseif(mysql_num_rows(mysql_query("SELECT mail FROM users WHERE mail = '".$email."'"))) {
			$error = "<p class=\"er\">Такой e-mail уже есть в базе!</p>";
		} else {
			$time	 = time();
			$ip		 = getip();
			$pass	 = as_md5($key, $pass);
			if($referal) { 
				$get_user_info	= mysql_query("SELECT * FROM users WHERE login = '".$referal."' LIMIT 1");
				$row			= mysql_fetch_array($get_user_info);
				$ref_id			= intval($row['id']);
			} else { 
				$ref_id = 0; 
			}

			if(cfgSET('cfgMailConf') == "on") {
				$active		= 1;
				$actlink	= "Ваша ссылка для активации аккаунта: http://".$cfgURL."/activate.php?m=".$email."&h=".as_md5($key, $ulogin.$email);
			} else {
				$active		= 0;
				$actlink	= "";
			}

			$sql = "INSERT INTO users (login, pass, mail, go_time, ip, reg_time, ref, pm, active, skype, pe) VALUES ('".$ulogin."', '".$pass."', '".$email."', ".$time.", '".$ip."', ".$time.", ".$ref_id.", '".$pm."', ".$active.", '".$skype."', '".$pe."')";
			mysql_query($sql);

			$subject = "Поздравляем Вас с успешной регистрацией";

			$headers = "From: ".$adminmail."\n";
			$headers .= "Reply-to: ".$adminmail."\n";
			$headers .= "X-Sender: < http://".$cfgURL." >\n";
			$headers .= "Content-Type: text/html; charset=windows-1251\n";

			$text = "Здравствуйте <b>".$ulogin."!</b><br />Поздравляем Вас с успешной регистрацией в сервисе <a href=\"http://".$cfgURL."/\" target=\"_blank\">http://".$cfgURL."</a><br />Ваш Login: <b>".$ulogin."</b><br />Ваш пароль: <b>".$repass."</b><br />".$actlink."<br /><br />С Уважением, администрация проекта ".$cfgURL;

			mail($email, $subject, $text, $headers);

			$ulogin	= "";
			$pass	= "";
			$repass	= "";
			$email	= "";
			$skype	= "";
			$pm		= "";
			$pe		= "";

			$error = 1;
		}
}

if($error == 1) {

	print "<p class=\"erokreg\">Поздравляем! Вы зарегистрировались. Авторизируйтесь пожалуйста.</p>";
	

} else {
	 
?>
<center>



<form class="clearfix" action="?action=reg" method="post">
<span class="cap">зарегистрироваться</span>
<?=$error;?>
<div class="inner cfix">
<div class="col6 name"><label>ваш логин:</label><input  name="ulogin" value="<?php print $ulogin; ?>" type="text" /></div>
<div class="col6 pass"><label>ваш пароль:</label><input name="pass" type="password" /></div>
<div class="col6 mail"><label>ваша почта:</label><input  name="email" value="<?php print $email; ?>" type="email" /></div>
<div class="col6 pass"><label>повторите пароль:</label><input  name="repass" type="password" /></div>
<div class="col12 get"><p >Регистрируясь вы соглашаетесь с </p><span ><a style="margin: 0;" href="/law/">Правилами проекта</a></span></div>
</div>
<?php

	if($referal) {
		print '<div class="byHow"><span>Кто пригласил:</span><a> '.$referal.'</a><input id="register_frm_uRef" name="uRef" type="hidden" value=" '.$referal.'" /></div>';
	}
?>

<button  class="reg orArr" type="submit" style="display: block; margin-top: 35px; margin-left: 11px;" />Зарегистрироваться</button>
<?} 
?>
</div>
</div>
</div>




